BI-IN-A-BOX
  1. admin
BI-IN-A-BOX
  • azure
    • list containers
      GET
    • list container contents
      GET
  • fo
    • secured
      • admin
        • client list
          GET
        • client create
          POST
        • client update
          PUT
        • client delete
          DELETE
      • client
        • installer/status
        • installer/images
      • properties
        • erp-types
    • unsecured
      • health
      • downloads
    • auth
      • token
  1. admin

client update

Developing
PUT
/secured/api/clients/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/secured/api/clients/c7aa404e-3485-4ba3-a3e5-e29cf69a7ffa' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "companyName": "companyName2",
    "erpType": "SEN"
}'
Response Response Example
{}
Modified at 2026-03-07 10:32:55
Previous
client create
Next
client delete
Built with